********************************************************************
* ACCOUNTS.PRG                                                     *
*                                                                  *
* By Monique Verrier and Bryan Cooper                              *
* 10/27/1987                                                       *
********************************************************************

********************************************************************
* Step 1: Set up initial code:                                     *
********************************************************************

clear typeahead
set talk off
set escape off
set userhelp to 0,0,0,0
set userhelp off                    && We use our own help system under browse
*\set function 1 to chr(29)             && Set F1 to Control-Home key
set scoreboard off

close all

********************************************************************
* Step 2: Open Accounts, sales and browse databases                *
********************************************************************

select 3
use sales index sales

select 2
use accounts index accounts          && Main account database
set relation to salesnum into sales  && Indexed by account number

select 1
use browse index browse         && Browse is indexed by database and escreen
                                && Database refers to the current select() area
********************************************************************
* Step 3: Set up initial colors and windows                        *
********************************************************************

if iscolor()
   store 'B/W' TO selected                     
   store 'W/B' TO normal                            
   store 'B' TO backg
   store 'B' TO frame
else
   store 'N/W' TO selected                    
   store 'W/N' TO normal                            
   store 'W' TO backg
   store 'W' TO frame
endif

set color to &normal,&selected,&backg

W.SET window help to 1,1,10,30 COLOR &normal, &selected, &frame ;
   FRAME chr(219), chr(223), chr(219), ;
   chr(221), chr(222), chr(219),chr(220), chr(219)
W.SET window browse to 0,0,0,0 COLOR &normal, &selected, &frame ;
   FRAME chr(219), chr(223), chr(219), chr(221), ;
   chr(222), chr(219),chr(220), chr(219)
          && Browse will use this window, making it correct size later

CLEAR
@ 1,1 to 4,78 double
@ 2,2 say CENTER("Account Maintenence System",76)
@ 3,2 say CENTER("Joan's Office Supplies",76)

W.SELECT 10              && Current browse window area
W.USE browse

********************************************************************
* Step 4: Call Browse program.                                     *
********************************************************************

select 2                        && Let's browse the accounts file
go top
do browse with ' 1', recno()    
w.close all

close all
return
* End of Accounts.prg
